apt-get install pgadmin fail with libgtk2.0-0 & libwxgtk2.8.0 not configured yet

-Edit after closing- I try to install ruby 3 to a Server and that kind of work, but when I check out my project and try bundle install I get the error message, that gem pg needs pgadmin, that is...

gcc error message with gtk 2.0

My main.c: #include <stdlib.h> #include <gtk/gtk.h> int main(int argc, char **argv) { return EXIT_SUCCESS; } I use: gcc `pkg-config --cflags --libs libgtk+-2.0` -o tresor...

libgtk version issue on ubuntu

I installed gtk+2.0 version 2.18.3 but when I run this command: dpkg -i libgtk2.0-dev_2.18.3-1_i386.deb I have the next error. But when I checked the /usr/lib/libgtk2.0-0 I found the version of...

" Gtk-WARNING: Unable to locate theme engine in module_path: "murrine" error while installing Adobe air installation on Ubuntu 13.10

Hi I'm new to ubuntu and I need to install adobe air on my computer! I have ubuntu 13.10 version. I have followed the following steps: $ sudo apt-get install libgtk2.0-0:i386...

Can't install libgtk2.0-dev on linux

I am trying to compile xfce-terminal, configure will not pass saying I lack gtk2 checking for gtk+-2.0 >= 2.24.0... not found *** The required package gtk+-2.0 was not found on your system. ***...

Why compiling GTK (gi-gtk) application with haskell/stack is not reproducible?

I have created an app that uses GTK via gi-gtk in Haskell, dependencies managed with stack (lts-9.2). I compiled it successfully on Fedora 26. Then I have successfully executed the binary on other...

CEF C++ program not rendering in Ubuntu

I am trying to build and run a CEF application on Ubuntu 16.04.5 LTS. The application is built using CEF (Chromium Embedded Framework), in C++. I have previously built it on Debian 8.11 with...

How to setup slimerjs in console on Ubuntu?

I am trying to make screenshot of webgl models with slimer.js from console I install dependencies # sudo apt-get install libc6 libstdc++6 libgcc1 libgtk2.0-0 libasound2 libxrender1 I download...

Sublime Text 3 installation with GTK library fails on AWS Ubuntu 16.04.03 instance

I tried to install Sublime Text 3 on an AWS Ubuntu 16.04.3 LTS instance according to the instructions provided by the link: Install Sublime Text 3 in Ubuntu 16.04 & Higher The Official Way. After...

Error on installing Rattle in Ubuntu

I'm trying to install Rattle in Ubuntu 14.04, but I'm getting this error: Error in loadNamespace(name) : there is no package called ‘RGtk2’ But when I try to install RGtk2 I get this: configure:...

Error while upgrading Ubuntu from 16.04 to 18.04, GCC-6-base

I'm trying to upgrade my Ubuntu from 16.04 to 18.04, while doing sudo apt update & sudo apt upgrade and keep getting > The following packages have been kept back: GCC-6-base I tried to install,...

BleachBit and other programs report No module named 'gtk' ModuleNotFoundError:

I am new to Ubuntu 18.04 and an aspiring and learning Python self-taught student I expect I did something something unsmart when installing Python 3.7.1 on Ubuntu 18.04. I did have Bleachbit...

How to get OpenCV to work in nix?

I am trying to get an OpenCV hello world program to work using the nix package manager but its spewing out errors : > OpenCV Error: Unspecified error (The function is not implemented. Rebuild the...

How to include libgtk2.0-dev and pkg-config in cmake when installing openCV on Ubuntu 16

I know there are many topics on how to install OpenCV-Python. I went over many of them and they helped me to go through some problems installing openCV-python on Ubuntu I managed to install...

How do I properly install GTK+ on Ubuntu 12.04 Precise?

The Issue: I am trying to install GTK+ on Ubuntu 12.04, and while it seems to have installed, each time I attempt to run a python program which uses 'import gtk', I get the error: <pre> Traceback...

labelSetText behaves strange when executed in timeoutAdd handler

I wrote a simple clock program that worked fine under winxp. When run under linux it behaves weirdly. The program draws a label with the text set to "00:00", and then updates it once per second...

Unable to capture Video from Laptop Webcam using OpenCV

I wrote some code to generate a live feed from my laptop webcam. I'm using the openCV library for Python 3.7 with Pycharm. This is my code: import numpy as np import cv2 cap =...

libgtk2.0-dev and pkg-config error with Python 3.4.5

I just managed to install Python v3.4.5 under Ubuntu 12.04. While trying the following codes from openCV-python library import cv2 img = cv2.imread(&#39;img.png&#39;,0) ...

Terminal printing over JavaFX application on Raspberry

Hi guys I'm new to Raspberry coding, for my three year thesis I'm writing a twitter wall application in javafx to be runned on a Raspberry Pi Model B+ v1.2. I programmed it in eclipse neon under...

How to install slimerjs in debian without graphical environment

I'm installing slimerjs on a debian vps 8 without graphical environment. Followed by all documentation docs.slimerjs.org/current/installation.html With the following step, I connect via ssh: 1)...

Open CV libgtk2.0-dev and pkg-config error mac

Hi I am fairly new to OpenCV and I am trying to get OpenCV demo-code for blur detection working on my mac but I get an error every time I run the code. Here is the code I try to run: # import...

The type 'Application' is defined in an assembly that is not referenced. gtk-sharp, Version=2.12

I am building an application using GTK# 2.12 version. I installed MonoDevelop for that. Made a sample application. When I changed the setting from GTK#3 to GTK# 2.12 on the project then all...

OpenKinect: Cannot build RGBDemo

I am following the instructions given in the book "Hacking the Kinect" pages 15-16 (Apress 2011) to install the RGB Demo (version 0.5.0) on my system (32bit x86 machine running Xubuntu 12.04). I...

How to install libgtk2-dev:i386 without removing libgtk2-dev:armhf? Or what to do to cross-compile for i386 and armhf?

I'm struggling trying to cross-compile a wxWidgets app for a BBB from a Debian 9 PC. After a lot of failures, i've found what seemed to be the solution: multiarch. So i added an armhf...

Python3: How can I find out what version of GTK+ I am using?

I need to find out what version of GTK+ I am using. The problem is there seem to be so many different version numbers involved I am not sure which ones are most relevant. My system is Ubuntu 12.04...

Docker image running a Mac OS X installation

I am using Docker for Mac and wish to create Docker image running a Mac El Capitan with my development env. I am not finding any resources on this. All I see is Linux installations. On Linux I...

Opencv error on ARM

I hope someone can help me. I have a c++ file which use opencv libraries. I need to get an executable for an ARM in which I have to run it. My executable should be compile in a static linker...

Java application throws `Gtk-WARNING **: cannot open display:` even when xserver is not required

I have a Java application that uses WebRenderer for a java headless browser. WebRenderer does not require xserver to run and I have confirmed this by uninstalling all x11 libs and xserver...

when installing mono getting various errors?

requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. The following information may...

mapbox error: unknown function colorize-alpha(), did you mean sobel(0) (line 73)

I installed mapbox on ubuntu locally and I am trying to create a heatmap following this article: https://www.mapbox.com/blog/colorize-alpha-image-filter/. I uploaded some point data and tried to...